export declare const PropsSpec: import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
    container: import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
        id: import("@sinclair/typebox").TString;
        slot: import("@sinclair/typebox").TString;
    }>>;
    ifCondition: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
}>>;
declare const _default: import("../..").ImplementedRuntimeTraitFactory;
export default _default;
